/*
 *
 *  Created on: Mar 1, 2021
 *      Author: astrisw
 *
 */

#pragma once

#include <netinet/in.h>
#include <Base_Packet.h>

namespace inaf::oasbo::Receivers{

class BaseReceiver{
protected:
	std::string host;
public:

	virtual std::string getHost() = 0;
	virtual void setHost(std::string host) = 0;

	virtual int connectToClient()=0;
	virtual int closeConnectionToClient()=0;
	virtual bool isConnectedToClient() const =0;
	virtual int receiveFromClient(PacketLib::BasePacket &) = 0;
	virtual ~BaseReceiver() = default;
};
}
